{
  pkgs,
  inputs,
  ...
}:
let
  username = "martin";
in
{
  imports = [
    inputs.nixvim.homeManagerModules.nixvim
    ./nixvim
    ./rofi
    ./wlogout
    ../hyprland/hyprcursor
  ];

  # Home Manager needs a bit of information about you and the
  # paths it should manage.
  home = {
    username = username;
    homeDirectory = "/home/${username}";
    # You can update Home Manager without changing this value. See
    # the Home Manager release notes for a list of state version
    # changes in each release.
    stateVersion = "24.11";
  };

  programs = {
    git = {
      enable = true;
      userName = "Martin Berg Alstad";
      userEmail = "git@martials.no";
    };

    # Let Home Manager install and manage itself.
    home-manager.enable = true;

    kitty.enable = true;

    starship = {
      enable = true;
      settings = (with builtins; fromTOML (readFile ./starship.toml)) // { };
    };

    # Lock desktop
    swaylock.enable = true;
  };

  services = {
    gpg-agent = {
      enable = true;
      pinentryPackage = pkgs.pinentry-curses;
    };
  };
}
